"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function default_1(api, rootOptions) {
    const babelConfigPreset = [
        [
            "@babel/preset-env",
            { modules: false, useBuiltIns: "usage", corejs: { version: 3, proposals: true } },
        ],
        "@babel/preset-react",
    ];
    const babelConfigPlugins = [
        "react-hot-loader/babel",
        "@babel/plugin-transform-runtime",
    ];
    api.extendPackage({
        devDependencies: {
            "@babel/cli": "^7.7.0",
            "@babel/core": "^7.7.2",
            "@babel/plugin-transform-runtime": "^7.6.2",
            "@babel/preset-env": "^7.7.1",
            "@babel/runtime": "^7.7.2",
            "@babel/preset-react": "^7.7.0",
            "core-js": "^3.4.2",
            "babel-loader": "^8.0.6",
        },
    });
    babelConfigPreset.push("@babel/preset-typescript");
    api.extendPackage({
        devDependencies: {
            "@babel/preset-typescript": "^7.8.0",
        },
    });
    if (rootOptions.cssSolution === "styled-components") {
        babelConfigPlugins.push([
            "babel-plugin-styled-components",
            {
                displayName: true,
                fileName: false,
                minify: true,
                pure: true,
            },
        ]);
        api.extendPackage({
            devDependencies: {
                "babel-plugin-styled-components": "^1.10.0",
            },
        });
    }
    api.render("./template", {
        presets: JSON.stringify(babelConfigPreset),
        plugins: JSON.stringify(babelConfigPlugins),
    });
}
exports.default = default_1;
//# sourceMappingURL=generator.js.map